<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Light Switching</title>
</head>
<body id="body">

<script>

    function switchON() {
        document.getElementById("Light").src = "Resources/Images/ON.jpg";
    } // end of switchON()

    function switchOFF() {
        document.getElementById("Light").src = "Resources/Images/OFF.jpg";
    } // end of switchOFF()

</script>


<div id="LightContainer">
    <img  id="Light" src="Resources/Images/OFF.jpg" height="200px" width="150px">
</div>

<button onclick="switchON()"> ON </button>
<button onclick="switchOFF()"> OFF </button>



<select id="Background" onchange="changeBG()">
    <option value="RED">Red</option>
    <option value="GREEN">Green</option>
    <option value="BLUE">Blue</option>
</select>


<script>



    function changeBG() {
        var mySelect =   document.getElementById("Background");

        var bgColor = mySelect.value;
        alert("Im inside changeBG()" + bgColor);
        document.getElementById("body").style.backgroundColor = bgColor;
    }



</script>



</body>
</html>